View Issue Details

IDProjectCategoryView StatusLast Update
0023216LazarusIDEpublic2021-01-02 18:28
ReporterMartin Friebe Assigned ToBart Broersma  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionno change required 
Product Version1.1 (SVN) 
Summary0023216: Regression "open last project at start"
Description"open last project at start" used to open the last *saved* project.

Now, if you have a new, not yet saved (but maybe *modified* ) project open, then it will come up with a new *empty* project at the next start.

1) This is wrong. It does not what it says. My last project before closing Lazarus was an unsaved app with modifications (maybe Form with 2 buttons). But it comes up with an empty form. This is not my last project. This is not even in the list of my last projects. (Previously the last saved, was in that list. It was the last recoverable project)

2) This is inconvenient. Having add the old behaviour I am used to always see one of my actual working project when starting the IDE. Even if I for some reason (likely for testing something) had an new/unsaved project open.
TagsNo tags attached.
Fixed in Revision
LazTarget-
Widgetset
Attached Files

Activities

Bart Broersma

2020-12-05 14:21

developer   ~0127358

Is this still the case?
Lazarus 2.1:
Remove component from form
Close Lazarus, don't save
Start Lazarus: opens the project as it was before I made modifications

Bart Broersma

2021-01-02 16:29

developer   ~0128026

Reminder sent to: Martin Friebe

Martin Friebe

2021-01-02 18:27

manager   ~0128028

Yes it still "happens", but it can be closed. Current behaviour is correct.

In 1.1 the behaviour of "open last project" was to "open the last project from the list of saved projects" => So if an unsaved (virtual) project was open, then the project that was open before that was re-opened.
Looking at it now, the old behaviour was wrong, so this is not a regression, but a fix.

Back then, it seems I had grown accustomed to the old behaviour.

Issue History

Date Modified Username Field Change
2012-10-26 15:06 Martin Friebe New Issue
2012-10-26 15:06 Martin Friebe LazTarget => -
2020-12-05 14:21 Bart Broersma Assigned To => Bart Broersma
2020-12-05 14:21 Bart Broersma Status new => feedback
2020-12-05 14:21 Bart Broersma Note Added: 0127358
2021-01-02 16:29 Bart Broersma Note Added: 0128026
2021-01-02 18:27 Martin Friebe Note Added: 0128028
2021-01-02 18:27 Martin Friebe Status feedback => assigned
2021-01-02 18:28 Martin Friebe Status assigned => resolved
2021-01-02 18:28 Martin Friebe Resolution open => no change required